<template>
  <div class="row pt-5 content-game">
    <div class="col col-12 col-lg-3">
      <p class="fw-bold title-text">Quiz content</p>
    </div>
    <div class="col col-12 col-lg-9">
      <textarea
        name="game-content"
        id="game-content"
        cols="30"
        rows="4"
        class="form-control"
        :value="valueContent"
        @input="updateContent($event)"
      ></textarea>
    </div>
  </div>
</template>

<script>
export default {
  props: {
    valueContent: String,
    idProp: Number
  },
  methods: {
    updateContent(e) {
      this.$emit("update-content", e.target.value);
    }
  }
};
</script>

<style scoped>
* > .row {
  width: 100%;
  margin-left: 0;
}
.content-game .title-text {
  font-size: 22px;
}
.content-game textarea {
  border: 3px solid #d6d6d7;
  border-radius: 22px;
}
</style>
